Subject: [BEHAVE] IPv4-only and IPv6-only definitions

From: Rémi Després <[email-masked]>
Date: Tue, 1 Sep 2009 12:40:37 +0200

Dave,

I also also think that the current definition of IPv6-only needs more  
work.

Here is an approach which, in my understanding, would improve the  
situation.
(Whereas you introduced "connected", as an adjective for  
applications, it introduces "connections", and more precisely  
connection "endpoints" as objects that can be IPv6-only at one end  
and IPv4-only at the other end.)

1. The definition would become(in substance):
"IPvX-only endpoint: In a connection that traverses an IPv6/IPv4  
translator, the endpoint that works in IPvX. Reasons for this may be  
that: (1) its application is IPvX-only (not IPvY capable); (2) its  
node is IPvX-only (not IPvY-enabled); (3) if the endpoint is  
connection initiator, all known addresses of the other endpoint are  
IPvX (and translatable to IPvY); if the endpoint is connection  
acceptor, all of its addresses known by other endpoint are IPvY  
(translatable to IPvX)."

2. In the text, IPv6-only entities that contain connection endpoints  
("systems", "devices", "equipment", "nodes") would be renamed "IPv6- 
only endpoints".

Regards,
RD

Le 1 sept. 09 à 00:54, Dave Thaler a écrit :

> "IPv6-only" is an adjective and can be used to describe a network,
> a host, or an application.
>
> The text in the framework doc says:
>    IPv6-only:  An IPv6-only implementation, in this context, comprises
>       an IPv6 enabled end system stack plus routing in the  
> network.  It
>       implies that two application instances are capable of
>       communicating using IPv6, but not IPv4 - they have an IPv6  
> stack,
>       addresses, and network support including routing in IPv6, but  
> some
>       element is missing that prevents communication with IPv4 hosts.
>
> One problem with the above is that it confuses whether it's an  
> adjective,
> or a term "IPv6-only implementation" or an "IPv6-only end system" or
> an "IPv6-only application"
> ...
> I think people would expect that an IP-version agnostic application  
> would be "IPv4-capable" but not necessarily "IPv4-connected".

---

From: bo zhou <[email-masked]>
Date: Wed, 2 Sep 2009 00:29:31 +0800

Well,

I think the  IP endpoint shall be defined combining with four aspects:
a. the application type installed on the endpoint,
b.the IP family stack supported by the endpoint
c.the IP family routing assigned by a network
d.available IP family connectivity

If the IPvX only endpoint is only focus on 6/4 translation framework, I
agree with Remi that its connection traverses an IPv6/IPv4 translator.
However, in general, we need not define IPvX only endpoint traverses
translator.

Futrhermore, we can predict there should be some "endpoint" cannot easy to
define as IPvX/Y only endpoint. for example:
 IPv4-inherited IPv6 host comprises an IPv4/IPv6 enabled end system
dual-stack plus IPv6 routing in the network, IPv4/IPv6 applications
installed on the host. It implies two application instances with installed
IPv4/IPv6 applications are capable of communication using IPv6 – they have
IPv4/IPv6 dual-stack, network support including routing in IPv6, IPv4/IPv6
applications can communicate with IPv4/IPv6 hosts respectively.
   Regards,

Bo Zhou

On Tue, Sep 1, 2009 at 6:40 PM, Rémi Després <[email-masked]> wrote:

> Dave,
>
> I also also think that the current definition of IPv6-only needs more work.
>
> (Whereas you introduced "connected", as an adjective for applications, it
> introduces "connections", and more precisely connection "endpoints" as
> objects that can be IPv6-only at one end and IPv4-only at the other end.)
>
>
> translator, the endpoint that works in IPvX. Reasons for this may be that:
> (1) its application is IPvX-only (not IPvY capable); (2) its node is
> IPvX-only (not IPvY-enabled); (3) if the endpoint is connection initiator,
> all known addresses of the other endpoint are IPvX (and translatable to
> IPvY); if the endpoint is connection acceptor, all of its addresses known by
> other endpoint are IPvY (translatable to IPvX)."
>
> ("systems", "devices", "equipment", "nodes") would be renamed "IPv6-only
> endpoints".
>
> Regards,
> RD
>
>
>>      an IPv6 enabled end system stack plus routing in the network.  It
>>      communicating using IPv6, but not IPv4 - they have an IPv6 stack,
>>      addresses, and network support including routing in IPv6, but some
>> One problem with the above is that it confuses whether it's an adjective,
>> I think people would expect that an IP-version agnostic application would
>> be "IPv4-capable" but not necessarily "IPv4-connected".
>>
>
>
>
>
>
> _______________________________________________
> Behave mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/behave
>

-- 
Regards,

Bo Zhou
China Mobile

---

From: bo zhou <[email-masked]>
Date: Wed, 2 Sep 2009 00:33:55 +0800

Hi Dave,

I just find the previous discussion used a wrong email address of you, so I
modify it, Hope you can receive it now.

Regards,

Bo Zhou

-- 
Regards,

Bo Zhou
China Mobile

---

From: Rémi Després <[email-masked]>
Date: Wed, 16 Sep 2009 15:27:38 +0200

Bo,

Apologies for the late answer.

> d.available IP family connectivity

I don't see why you find d necessary: if an IPvX address is  
available, the host can work in IPvX and cannot be considered IPvY-only.

> If the IPvX only endpoint is only focus on 6/4 translation  
> framework, I agree with Remi that its connection traverses an IPv6/ 
> IPv4 translator. However, in general, we need not define IPvX only  
> endpoint traverses translator.

You are right.
It's better to determine if an endpoint is IPvX-only independently  
from other endpoints.

We have though to face that an endpoint that is IPv4/IPv6 as a  
connection initiator may be IPv4-only as a connection acceptor  
because it's only advertised address is IPv4.

Criteria that determine IP families of an endpoint (IPv4-only, IPv6- 
only, or IPv4/IPv6) would then be:
a. IP families of the application
b. IP families of the host stack
c. IP families of assigned addresses
d. as a connection acceptor, IP families of advertised addresses

Regards,
RD

>
> Futrhermore, we can predict there should be some "endpoint" cannot  
> easy to define as IPvX/Y only endpoint. for example:
> installed on the host. It implies two application instances with  
> installed IPv4/IPv6 applications are capable of communication using  
> IPv6 – they have IPv4/IPv6 dual-stack, network support including  
> routing in IPv6, IPv4/IPv6 applications can communicate with IPv4/ 
> IPv6 hosts respectively.
> Regards,
>
> Bo Zhou
>
>
> translator, the endpoint that works in IPvX. Reasons for this may  
> be that: (1) its application is IPvX-only (not IPvY capable); (2)  
> its node is IPvX-only (not IPvY-enabled); (3) if the endpoint is  
> 2. In the text, IPv6-only entities that contain connection  
> endpoints ("systems", "devices", "equipment", "nodes") would be  
> renamed "IPv6-only endpoints".
>
> Regards,
> RD
>
>

---

From: Eric Klein <[email-masked]>
Date: Sun, 20 Sep 2009 13:45:32 +0300

I am not sure about such a discussion here, but last year I was part of
several versions of this as part of WiMAX Forum Service Providers and
Network Engineering teams.

For the Operator the combination of what and how IPv4 only, IPv6 only, and
mixed end devices / backbone / core devices etc. worked out to a 20 example
document that needed policies and concepts on how to handle - especially in
a mobile environment let alone in a roaming one.

Eric